[url_launcher] Error: No named parameter with the name ‘webOnlyWindowName’

../../sdk/flutter/.pub-cache/hosted/pub.dartlang.org/url_launcher-5.5.1/lib/url_launcher.dart💯5: Error: No named parameter with the name ‘webOnlyWindowName’.
webOnlyWindowName: webOnlyWindowName,

This happen and app crashes when i include url launcher

3 thoughts on “[url_launcher] Error: No named parameter with the name ‘webOnlyWindowName’

  1. The following commands resolved it for me.

    flutter clean
    flutter pub upgrade
    

    Well, I think the important one is flutter pub upgrade here. But cleaning does help especially when plugins are updated.

    In this case, it was a dependency of url_launcher. In general you can use flutter pub outdated to see if you have some outdated dependencies. You will see a message like

    3 upgradable dependencies are locked (in pubspec.lock) to older versions.
    To update these dependencies, use `pub upgrade`
    

    That’s when you know for sure you need to run flutter pub upgrade.

  2. url_launcher: ^5.5.2 should mitigate this issue. I’m closing this; please feel free to reopen if you’re still having issues!